attribute vec2 aPosition; //vertex position in 2d
uniform int uColorChoice;
varying vec4 vColor; //vertex color (outputed to fragment)

void main() {

	if(uColorChoice == 1) { //#j# used for guides
		vColor = vec4( 1.0, 0.0, 0.0, 1.0 ); //specify vertex color
	}
	else {
		vColor = vec4( 0.0, 0.0, 1.0, 1.0 ); //specify vertex color	
	}
	gl_PointSize = 10.0;
  gl_Position = vec4(aPosition, 0.0, 1.0);

}
